Subject: [bug#69302] [PATCH 1/2] doc: Add “Getting Started with the System” section.

From: Oleg Pykhalov <[email-masked]>
Date: Thu, 22 Feb 2024 18:57:36 +0300

Hello Ludovic,

Ludovic Courtès <[email-masked]> writes:

[…]

> +The second step, once you have this configuration file, is to test it.
> +Of course, you can skip this step if you're feeling lucky---you choose!
> +To do that, pass your configuration file to @command{guix system vm} (no
> +need to be root, you can do that as a regular user):
> +
> +@example
> +guix system vm /etc/config.scm
> +@end example
> +
> +@noindent
> +This command returns the name of a shell script that starts a virtual
> +machine (VM) running the system @emph{as described in the configuration
> +file}:
> +
> +@example
> +/gnu/store/@dots{}-run-vm.sh
> +@end example
> +
> +@noindent
> +In this VM, you can log in as @code{root} with no password.  That's a
> +good way to check that your configuration file is correct and that it
> +gives the expected result, without touching your system.  @xref{Invoking
> +guix system}, for more information.

What are your thoughts on the description of the 'file-systems' and
'bootloader' fields? Should users not rely on them during this test?

Additionally, static networking configuration will not function
correctly in the generated '/gnu/store/...-run-vm.sh' script unless
specific flags are provided.

Regards,
Oleg.